/*
 * Copyright (c) 2007-2008 University of Washington
 * 
 * All rights reserved. For information, contact the Adeona research
 * team at adeona@cs.washington.edu
 *
 * See the file License.txt included in this distribution for details.
 *
 */
#ifndef _PBKDF_H_
#define _PBKDF_H_

#include "common.h"
#include "prg.h"

typedef prgblock_t pbkdfsalt_t; //16 byte salt

int pbkdf_generate( char* password IN, int plen IN, pbkdfsalt_t salt IN, uchar* dkey OUT, int dklen IN );
int pbkdf2_hmacsha1( char* password IN, int plen IN, uchar* salt IN, int slen IN, int count IN, uchar* dkey OUT, int dklen IN );

#endif // _PBKDF_H_
