#!/bin/bash

ADEONAVERSION=0.2.1

# Make sure these are pointed correctly
SRCDIR=../..
PKGFILESDIR=packagefiles


# Adeona options
ADEONAPREFIX=/usr/local/adeona

# Package options
PACKAGEROOT=adeona-package-retrieve
PACKAGECONTENT=$PACKAGEROOT/adeona
PACKAGERESOURCES=$PACKAGEROOT/resources

ADEONARESOURCES=$PACKAGECONTENT/resources 
ADEONASCRIPTS=$PACKAGECONTENT/scripts

#####################################################################
(cd $SRCDIR && make clean-all)
(cd $SRCDIR && make RELEASE=1)

if [ -d $PACKAGEROOT ]; then
    rm -rf $PACKAGEROOT;
fi

mkdir $PACKAGEROOT;
mkdir $PACKAGECONTENT;
mkdir $PACKAGERESOURCES;

mkdir $ADEONARESOURCES;
mkdir $ADEONASCRIPTS;

# Copy files
cp $SRCDIR/adeona-retrieve.exe $PACKAGECONTENT;
cp $SRCDIR/resources/gateways.adeona $ADEONARESOURCES;
cp $PKGFILESDIR/terminals/adeona-retrieve.term $PACKAGECONTENT
cp $PKGFILESDIR/scripts/adeona-retrieve.sh $ADEONASCRIPTS/adeona-retrieve.sh
cp $PKGFILESDIR/adeona_term_background.jpg $ADEONARESOURCES/adeona_term_background.jpg 

cp $PKGFILESDIR/preflight $PACKAGERESOURCES/preflight
cp $PKGFILESDIR/postflight.retrieve $PACKAGERESOURCES/postflight

# uncomment below if you're making a separate Packagemaker project
#cp $PKGFILESDIR/adeona_globeonly_trans.png $PACKAGERESOURCES/adeona_globeonly_trans.png
#cp $PKGFILESDIR/Welcome.txt $PACKAGERESOURCES/Welcome.txt
#cp $SRCDIR/License.txt $PACKAGERESOURCES/License.txt
#cp $SRCDIR/Conclusion.txt $PACKAGERESOURCES/Conclusion.txt
#cp $SRCDIR/Readme.txt $PACKAGERESOURCES/Readme.txt


