#!/bin/bash
ADEONAPREFIX=/usr/local/adeona
PFPIDFILE=/tmp/adeonapostflight.pid

#clear;
#msg_box "The Adeona system is ready to initialize on your computer. The Adeona Terminal window will guide you through this process." "Initializing Adeona"  

#echo; echo;
#echo "To setup Adeona on your computer, the initialize program needs to run in administrator mode."
#sudo -v -p "Please enter administrator password for %u: ";

clear;
echo; echo; 
echo "Please pick a password for Adeona. It does not need to be the same as your administrator password.";
#sudo $ADEONAPREFIX/install/adeona-init.exe -r $ADEONAPREFIX/resources/ -l $ADEONAPREFIX/logs/ -p;

#we write the state files to the $USER's home directory since $USER might not
#be a sudoer or member of admin i.e. this script is running as $USER because it
#is started by postflight and it is possible for $USER to authenticate as admin
#with a different account to run start the installer
#this is okay since $USER could only be running this after authenticating as
#admin. the postflight script running as root will just move these to $ADEONAPREFIX
echo $HOME;
cd $HOME;
$ADEONAPREFIX/install/adeona-init.exe -r $ADEONAPREFIX/resources/ -l $ADEONAPREFIX/logs/;

if [ $? == 0 ]; then 
#    msg_box "Adeona has been successfully initialized on your computer. The installer will now continue." "Successful"
#    sudo kill -s TERM `cat $PFPIDFILE`; 
    echo "TERM" > $PFPIDFILE;
else 
#    msg_box "Adeona could not be initialized. Please make sure you gave a password. It is necessary to protect your location-finding credentials." "Failed"
#    sudo kill -s ALRM `cat $PFPIDFILE`; 
    echo "ALRM" > $PFPIDFILE;
fi

