; adeona.nsi
;
; Install script for Adeona privacy-preserving tracking software.



!macro BIMAGE IMAGE PARMS
	Push $0
	GetTempFileName $0
	File /oname=$0 "${IMAGE}"
	SetBrandingImage ${PARMS} $0
	Delete $0
	Pop $0
!macroend

;--------------------------------

; The name of the installer
Name "Adeona"

; The file to write
OutFile "adeona-client.exe"

; The default installation directory
InstallDir "$PROGRAMFILES\adeona"

; Request application privileges for Windows Vista
RequestExecutionLevel user

; Set the Adeona image placeholder
AddBrandingImage left 100

;--------------------------------

; Pages

Page directory
Page instfiles

;--------------------------------

; The stuff to install
Section "" ;No components page, name is not important

  !insertmacro BIMAGE "$EXEDIR\adeona_inst_globe.bmp" "\RESIZETOFIT"

  ; Set output path to the installation directory.
  SetOutPath $INSTDIR
  
  ; Put file there
  File adeona.nsi

  SetBrandingImage  
  
SectionEnd ; end the section
