/*
 * Copyright (c) 2007-2008 University of Washington
 * 
 * All rights reserved. For information, contact the Adeona research
 * team at adeona@cs.washington.edu
 *
 * See the file License.txt included in this distribution for details.
 *
 */
#ifndef _ENCRYPTION_H_
#define _ENCRYPTION_H_

#include "common.h"
#include "prg.h"

typedef prgblock_t enckey_t;  // Just a 128-bit AES key

int encryption( enckey_t key IN, uchar* pt IN, uchar* ct OUT, int len IN );
int decryption( enckey_t key IN, uchar* ct IN, uchar* pt OUT, int len IN );

#endif // _ENCRYPTION_H_
